%global realname etap
%global upstream ngerakines
# Techincally, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}
%global git_tag b4dd5f7
%global patchnumber 0


Name:		erlang-%{realname}
Version:	0.3.4
Release:	12%{?dist}
Summary:	Erlang testing library
Group:		Development/Languages
License:	BSD
URL:		http://github.com/ngerakines/etap
# wget --content-disposition http://github.com/ngerakines/etap/tarball/0.3.4
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-etap-0001-Add-missing-right-parenthesis.patch
Patch2:		erlang-etap-0002-s-http-httpc.patch
Patch3:		erlang-etap-0003-Fix-for-R16B.patch
Patch4:		erlang-etap-0004-Add-basic-.app.src.patch
BuildRequires:	erlang-rebar
Requires:	erlang-erts%{?_isa}
Requires:	erlang-inets%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}
Requires:	erlang-tools%{?_isa}


%description
Etap is a collection of Erlang modules that provide a TAP testing client
library.


%prep
%setup -q -n %{upstream}-%{realname}-17b8d43
%patch1 -p1 -b .add_missing_parenthesis
%patch2 -p1 -b .httpc
%patch3 -p1 -b .R16
%patch4 -p1 -b .app_src
# Fails to pass this test - I'm investigating it
rm -f ./t/etap_t_005.erl


%build
rebar compile -v

%install
# No longer required
rm -f ebin/pmod_pt.beam
make install prefix=%{buildroot}
install -m 0644 -p ebin/etap.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/


%check
make test


%files
%doc README.markdown
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}_*.beam


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 02 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.3.4-9
- Fix building with R16
- Remove support for EL4 and EL5

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 21 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-5
- Fixed missing runtime dependency on EL-4
- Added %%check target

* Tue Sep 28 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-4
- Narrowed BuildRequires

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-3
- Rebuild for Erlang/OTP R14A
- Simplified spec-file

* Thu May 13 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-2
- Narrowed explicit requires

* Wed Apr  7 2010 Peter Lemenkov <lemenkov@gmail.com> 0.3.4-1
- initial package

